UbuntuUpdates.org

Package "dpdk"

Name: dpdk

Description:

Data Plane Development Kit (runtime)

Latest version: 17.05.2-0ubuntu1.1
Release: artful (17.10)
Level: updates
Repository: main
Homepage: http://www.dpdk.org

Links

Save this URL for the latest version of "dpdk": https://www.ubuntuupdates.org/dpdk


Download "dpdk"


Other versions of "dpdk" in Artful

Repository Area Version
base main 17.05.2-0ubuntu1
base universe 17.05.2-0ubuntu1
security main 17.05.2-0ubuntu1.1
security universe 17.05.2-0ubuntu1.1
updates universe 17.05.2-0ubuntu1.1

Packages in group

Deleted packages are displayed in grey.

dpdk-dev dpdk-doc libdpdk-dev librte-acl17.05 librte-bitratestats17.05
librte-cfgfile17.05 librte-cmdline17.05 librte-cryptodev17.05 librte-distributor17.05 librte-eal17.05
librte-efd17.05 librte-ethdev17.05 librte-eventdev17.05 librte-hash17.05 librte-ip-frag17.05
librte-jobstats17.05 librte-kvargs17.05 librte-latencystats17.05 librte-lpm17.05 librte-mbuf17.05
librte-mempool-ring17.05 librte-mempool-stack17.05 librte-mempool17.05 librte-meter17.05 librte-metrics17.05
librte-net17.05 librte-pdump17.05 librte-pipeline17.05 librte-pmd-af-packet17.05 librte-pmd-ark17.05
librte-pmd-bnxt17.05 librte-pmd-bond17.05 librte-pmd-crypto-scheduler17.05 librte-pmd-cxgbe17.05 librte-pmd-e1000-17.05
librte-pmd-ena17.05 librte-pmd-enic17.05 librte-pmd-fm10k17.05 librte-pmd-i40e17.05 librte-pmd-ixgbe17.05
librte-pmd-lio17.05 librte-pmd-nfp17.05 librte-pmd-null-crypto17.05 librte-pmd-null17.05 librte-pmd-octeontx-ssovf17.05
librte-pmd-pcap17.05 librte-pmd-qede17.05 librte-pmd-ring17.05 librte-pmd-skeleton-event17.05 librte-pmd-sw-event17.05
librte-pmd-tap17.05 librte-pmd-thunderx-nicvf17.05 librte-pmd-vhost17.05 librte-pmd-virtio17.05 librte-pmd-vmxnet3-uio17.05
librte-pmd-xenvirt17.05 librte-port17.05 librte-power17.05 librte-reorder17.05 librte-ring17.05
librte-sched17.05 librte-table17.05 librte-timer17.05 librte-vhost17.05

Changelog

Version: 17.05.2-0ubuntu1.1 2018-05-16 17:07:29 UTC

  dpdk (17.05.2-0ubuntu1.1) artful-security; urgency=medium

  * SECURITY UPDATE: incorrect bounds checking
    - debian/patches/CVE-2018-1059-*.patch: backported upstream patches.
    - CVE-2018-1059

 -- Marc Deslauriers <email address hidden> Tue, 24 Apr 2018 07:23:26 -0400

CVE-2018-1059 The DPDK vhost-user interface does not check to verify that all the requested guest physical range is mapped and contiguous when performing Guest Phy



About   -   Send Feedback to @ubuntu_updates